Show / Hide Table of Contents

# AsyncServerInitializedTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncServerInitializedTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncServerInitializedTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnServerInitializedAsyncHandler() |
GetOnServerInitializedAsyncHandler(CancellationToken) |
OnServerInitializedAsync() |
OnServerInitializedAsync(CancellationToken) |

### Methods

#### GetOnServerInitializedAsyncHandler()

    public IAsyncOnServerInitializedHandler GetOnServerInitializedAsyncHandler()

##### Returns

IAsyncOnServerInitializedHandler

#### GetOnServerInitializedAsyncHandler(CancellationToken)

    public IAsyncOnServerInitializedHandler GetOnServerInitializedAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnServerInitializedHandler

#### OnServerInitializedAsync()

    public UniTask OnServerInitializedAsync()

##### Returns

UniTask

#### OnServerInitializedAsync(CancellationToken)

    public UniTask OnServerInitializedAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>